//****************************************************
//*________________LiFT_Jumps_Shader_________________*
//****************************************************


//****************************************************
//*_____________________Slick________________________*
//****************************************************


textures/mes_shader/woodfloorslick
{
surfaceparm solid
surfaceparm nodamage
surfaceparm slick
{
map textures/mes_shader/woodfloorslick.tga
} 
{
map $lightmap
blendfunc filter
}

}


//****************************************************
//*_____________________No_Damage_______________________*
//****************************************************


textures/mes_shader/woodfloor2
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/woodfloor2.tga
} 
{
map $lightmap
blendfunc filter
}

}

textures/mes_shader/woodenfloor
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/woodenfloor.tga
} 
{
map $lightmap
blendfunc filter
}

}

textures/mes_shader/brickwall
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/brickwall.tga
} 
{
map $lightmap
blendfunc filter
}

}

textures/mes_shader/checkers
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/checkers.tga
} 
{
map $lightmap
blendfunc filter
}

}


//****************************************************
//*_____________________No_Walljump__________________*
//****************************************************


textures/mes_shader/brickwallbump
{
surfaceparm solid
surfaceparm nodamage
surfaceparm slick

{
map textures/mes_shader/brickwallbump.tga
} 
{
map $lightmap
blendfunc filter
}

}


//****************************************************
//*_____________________Glass________________________*
//****************************************************


textures/mes_shader/darkglass
{
surfaceparm trans
cull none
qer_trans 0.5
surfaceparm slick
surfaceparm detail
surfaceparm nodamage
{
map textures/mes_shader/darkglass.tga
tcGen environment
blendfunc GL_ONE GL_ONE
rgbgen vertex
}
}

textures/mes_shader/lumpywallglass
{
surfaceparm trans
cull none
qer_trans 0.5
surfaceparm detail
{
map textures/mes_shader/lumpywallglass.tga
tcGen environment
blendfunc GL_ONE GL_ONE
rgbgen vertex
}
}

textures/mes_shader/waterglass
{
surfaceparm trans
cull none
qer_trans 0.5
surfaceparm detail
surfaceparm nodamage
{
map textures/mes_shader/strangeglass.tga
tcGen environment
blendfunc GL_ONE GL_ONE
rgbgen vertex
}
}

textures/mes_shader/strangeglass
{
surfaceparm trans
cull none
qer_trans 0.5
surfaceparm detail
surfaceparm nodamage
{
map textures/mes_shader/strangeglass.tga
tcGen environment
blendfunc GL_ONE GL_ONE
rgbgen vertex
}
}

textures/mes_shader/strangeglassicy
{
surfaceparm trans
cull none
qer_trans 0.5
surfaceparm detail
surfaceparm slick
surfaceparm nodamage
{
map textures/mes_shader/strangeglassicy.tga
tcGen environment
blendfunc GL_ONE GL_ONE
rgbgen vertex
}
}



//****************************************************
//*______________________Lava________________________*
//****************************************************


textures/mes_shader/liquidlava
{
qer_editorimage textures/mes_shader/liquidlava.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidlava.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidlava.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}



textures/mes_shader/liquidscrab
{
qer_editorimage textures/mes_shader/liquidscrab.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidscrab.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidscrab.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//****************************************************
//*_____________________Water________________________*
//****************************************************


textures/mes_shader/liquidsnake
{
qer_editorimage textures/mes_shader/liquidsnake.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//***********************
//______________WaterCaulk
//***********************

textures/mes_shader/watercaulk
{
qer_editorimage textures/mes_shader/watercaulk.tga
qer_trans 10
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}


//****************************************************
//*_____________________Grate________________________*
//****************************************************


textures/mes_shader/will_fence_chainlink
{
surfaceparm trans 
cull none
nopicmip

{
map textures/mes_shader/will_fence_chainlink.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

//****************************************************
//*_____________________End_Message__________________*
//****************************************************


textures/mes_shader/liquidletter
{
qer_editorimage textures/mes_shader/liquidletter.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidletter.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidletter2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidletter3.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//***********************************		********************************//
//_____________________ Lava Basique ____________________//
//***********************************		********************************//

textures/mes_shader/lave_basique
{
		qer_editorimage textures/mes_shader/lava.tga
		qer_trans .5

		surfaceparm lava
		surfaceparm nolightmap

		cull disable
		deformVertexes wave 128 sin 0 1 0 .75
		{
			map textures/mes_shader/lava.tga
			tcMod turb 0.1 0.1 0 0.25
		}
}

//

textures/mes_shader/molten
	{
		qer_editorimage textures/mes_shader/lava01.tga
		q3map_lightimage textures/mes_shader/lava02.tga
		q3map_globaltexture
		qer_trans .5
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm trans		
		q3map_surfacelight 1500
		tessSize 8
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/mes_shader/lava01.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/lava02.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		
}



//______ Slime _______

textures/mes_shader/liquidslime
{
qer_editorimage textures/mes_shader/liquidslime.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm slime
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidslime.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidslime.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//_____________________Skip___________

textures/mes_shader/skip
{
qer_editorimage textures/mes_shader/laser.tga
qer_nocarve
surfaceparm nonsolid
surfaceparm skip
surfaceparm structural
}

//_____________Nodraw Solid__________

textures/mes_shader/nodraw_solid
{
qer_trans 0.3
surfaceparm nodraw
surfaceparm nomarks
surfaceparm trans
}

//__________________WATERBIS_________

textures/water_test/waterNoDraw
{
	qer_editorimage textures/common/WaterSmall.tga
  	surfaceparm nonsolid
  	surfaceparm trans
  	surfaceparm water
}


//***************************************                     ***********************//
//______________________WaterSlime______________//
//**************************************                       ***********************//

textures/mes_shader/WaterSlime
{
qer_editorimage textures/mes_shader/waterslime.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/waterslime.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/waterslime.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//*********************************	********************//
//____________________ Vitre ____________//
//*********************************	********************//

textures/mes_shader/vitre
{
   qer_editorimage textures/mes_shader/vitre.tga
   surfaceparm nolightmap
   surfaceparm trans
   qer_trans 0.5
   {
      map textures/mes_shader/vitre.tga
      blendfunc add
      tcGen environment 
   }
}


//*********************************	        *********************//
//____________________Vitre Blue____________//
//*********************************	        *********************//

textures/mes_shader/vitre2
{
   qer_editorimage textures/mes_shader/vitre2.tga
   surfaceparm nolightmap
   surfaceparm trans
   qer_trans 0.5
   {
      map textures/mes_shader/vitre2.tga
      blendfunc add
      tcGen environment 
   }
}



//******************************	  *********************//
//__________________Vitre Red____________//
//******************************	   *******************//

textures/mes_shader/vitreR
{
   qer_editorimage textures/mes_shader/vitreR.tga
   surfaceparm nolightmap
   surfaceparm trans
   qer_trans 0.5
   {
      map textures/mes_shader/vitreR.tga
      blendfunc add
      tcGen environment 
   }
}


//*********************************           	    ********************//
//____________________ camper ____________//
//*********************************	    ********************//

textures/mes_shader/camper
{
   qer_editorimage textures/mes_shader/camper.tga
   qer_trans .5
   q3map_globaltexture
   surfaceparm trans
   {
   map textures/mes_shader/camper.tga
   blendfunc GL_ONE GL_ONE
   tcMOD scale 1 1
   rgbGen identity
   rgbGen const ( 0.2 0.2 0.2 )
   tcGen environment
   }
   
{
   map textures/mes_shader/camper.tga
   blendfunc GL_ONE GL_ONE
   rgbGen identity
   }

   { 
   map $lightmap
   rgbGen identity
   blendFunc filter
    }
}



//*********************************           	********************//
//____________________ Laser ____________//
//*********************************	 ********************//

textures/water_test/Laser
{

	qer_editorimage textures/mes_shader/laser.tga
	surfaceparm detail

	surfaceparm nodraw

	surfaceparm nonsolid
}


//*********************************           	                ********************//
//____________________ NOsolidSKy ____________//
//*********************************	               ********************//

textures/water_test/NosolidSKY
{
    qer_editorimage textures/common/purplenebula.jpg
    surfaceparm nonsolid
}

 
//*********************************           	                     ********************//
//____________________ NOsolidCAMP ____________//
//*********************************	                      ********************//

textures/water_test/NosolidCAMPER
{
    qer_editorimage textures/common/camper.tga
    surfaceparm nonsolid
}


